Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.script
Class MountPointAdmin

    java.lang.Object
      oracle.ifs.admin.tools.script.MountPointAdmin

    public class MountPointAdmin

extends java.lang.Object

This class Manages the Mount Point functionality in Admin utility.

Field Summary
`protected AdminManager` | `m_Main`

Constructor Summary
`MountPointAdmin(AdminManager admin)` Creates a MountPointAdmin object.

Method Summary
`protected void` | `createMountPoint(LibrarySession sess, ParameterTable params)` Creates a Mount Point.
`protected void` | `freeMountPoint(LibrarySession sess, ParameterTable params)` Frees a Mount point.
`protected void` | `freeMountPoint(LibrarySession sess, java.lang.String mountPointName)` Frees a Mount point if the name is unique.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Main

    protected AdminManager m_Main

Constructor Detail

### MountPointAdmin

    public MountPointAdmin(AdminManager admin)

  Creates a MountPointAdmin object.

  Parameters:
    `admin` - Reference to AdminManager which invokes this.

Method Detail

### createMountPoint

    protected void createMountPoint(LibrarySession sess,
                                    ParameterTable params)
                             throws IfsException

  Description copied from class: `MountPointAdmin`
  Creates a Mount Point.

  Parameters:
    `sess` - LibrarySession reference to the current session.
    `params` - ParameterTable Reference to Table of parameters.
  Throws:
    `IfsException` - if the operation fails.

### freeMountPoint

    protected void freeMountPoint(LibrarySession sess,
                                  ParameterTable params)
                           throws IfsException

  Description copied from class: `MountPointAdmin`
  Frees a Mount point. Folder's category is removed.

  Parameters:
    `sess` - LibrarySession Handle to the current Session.
    `params` - ParameterTable Table of parameters.
  Throws:
    `IfsException` - if the operation fails.

### freeMountPoint

    protected void freeMountPoint(LibrarySession sess,
                                  java.lang.String mountPointName)
                           throws IfsException

  Description copied from class: `MountPointAdmin`
  Frees a Mount point if the name is unique.

  Parameters:
    `sess` - LibrarySession reference to the current session.
    `mountPointName` - String Name of the Mount point to be freed.
  Throws:
    `IfxException` - if the operation fails.
    `IfsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD